curl --request GET \
--url https://{environment}.plugsurfing.com/drive/v1/locations/{locationId}/live-data \
--header 'X-API-Key: <api-key>'import requests
url = "https://{environment}.plugsurfing.com/drive/v1/locations/{locationId}/live-data"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{environment}.plugsurfing.com/drive/v1/locations/{locationId}/live-data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{environment}.plugsurfing.com/drive/v1/locations/{locationId}/live-data",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{environment}.plugsurfing.com/drive/v1/locations/{locationId}/live-data"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{environment}.plugsurfing.com/drive/v1/locations/{locationId}/live-data")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{environment}.plugsurfing.com/drive/v1/locations/{locationId}/live-data")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"charge_point_statuses": {
"ee006b89511e81534e019ca0d9a780b351e9": {
"status": "CHARGING",
"status_since": "2025-01-15T08:12:00Z"
}
}
}{
"message": "Resource not found"
}{
"message": "Internal server error"
}Get location live data
Returns live charging data for the EVSEs of a location that are in use, including since when each EVSE has had its current live status. The charge_point_statuses keys match the EVSE uid values returned by Get location by id. EVSEs without live data are omitted. Returns 404 when the location is not found or live data is not enabled for your organization. For details, check /docs/drive-api/geosearch#location-live-data
curl --request GET \
--url https://{environment}.plugsurfing.com/drive/v1/locations/{locationId}/live-data \
--header 'X-API-Key: <api-key>'import requests
url = "https://{environment}.plugsurfing.com/drive/v1/locations/{locationId}/live-data"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{environment}.plugsurfing.com/drive/v1/locations/{locationId}/live-data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{environment}.plugsurfing.com/drive/v1/locations/{locationId}/live-data",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{environment}.plugsurfing.com/drive/v1/locations/{locationId}/live-data"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{environment}.plugsurfing.com/drive/v1/locations/{locationId}/live-data")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{environment}.plugsurfing.com/drive/v1/locations/{locationId}/live-data")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"charge_point_statuses": {
"ee006b89511e81534e019ca0d9a780b351e9": {
"status": "CHARGING",
"status_since": "2025-01-15T08:12:00Z"
}
}
}{
"message": "Resource not found"
}{
"message": "Internal server error"
}Authorizations
API key for authentication
Path Parameters
Location id.
Response
Live data of the location EVSEs
Live charging data of the EVSEs of a location.
Live data by EVSE uid. The keys match the EVSE uid values returned by Get location by id. Contains only EVSEs that are in use and have a known live status start time. Empty when no live data is available.
Show child attributes
Show child attributes